<form name="form" (ngSubmit)="categoryForm.form.valid && saveCategory()" #categoryForm="ngForm" novalidate>
  <div mat-dialog-content>
    <div class="row">
      <div class="col-sm-12">
        <div class="form-group">
          <label for="categoryName">{{'NAME' | translate}}</label>
          <input required [(ngModel)]="data.name" type="text" name="name" #name="ngModel" class="form-control"
            id="categoryName">
          <div *ngIf="name.invalid && (name.dirty || name.touched)">
            <div class="text-danger small" *ngIf="name.errors?.required">{{'CATEGORY_NAME_IS_REQUIRED' | translate}}</div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-sm-12">
        <div class="form-group">
          <label for="description">{{'DESCRIPTION' | translate}}</label>
          <textarea [(ngModel)]="data.description" name="description" type="text" class="form-control" [disabled]="data.description == 'company-report' || data.description == 'sector-report' || data.description == 'strategy-report' || data.description == 'macroeconomic-report' || data.description == 'macroeconomic-assumptions' || data.description == 'fixed-income-research'">
            </textarea>
        </div>
      </div>
    </div>
  </div>
  <div mat-dialog-actions>
    <ng-container *ngIf="!isEdit">
      <button type="submit" *hasClaim="'document_category_create_category'" class="btn btn-success btn-sm m-right-10" cdkFocusInitial><i
          class="las la-save"></i> {{'SAVE' | translate}}</button>
    </ng-container>
    <ng-container *ngIf="isEdit">
      <button type="submit" *hasClaim="'document_category_edit_category'" class="btn btn-success btn-sm m-right-10" cdkFocusInitial><i
          class="las la-save"></i> {{'SAVE' | translate}}</button>
    </ng-container>
    <button type="button" class="btn btn-danger btn-sm" (click)="onCancel()"> <i class="las la-times-circle"></i>
      {{'CANCEL' | translate}}</button>
  </div>
</form>
